/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.payroll.bonus.dto;

import java.util.Date;

import jp.mosp.common.common.BaseDto;

public class PayrollLineupDto extends BaseDto {
	
	private static final long	serialVersionUID	= -5358594615327412720L;
	
	// フィールド
	protected String			calcStatus			= "";						// データステータス
	protected int				paymentTotal		= 0;
	protected String			kCode				= "";						// 社員コード
	protected Date				calcDate;										// 計算年月
	protected Date				payday;										// 計算年月
	protected String			kName				= "";						// 社員氏名
	protected String			stationCode			= "";						// 所属コード
	protected String			positionCode		= "";						// 職位コード
																				
	
	/**
	 * コンストラクタ
	 */
	public PayrollLineupDto() {
		super();
	}
	
	// アクセサメソッド
	public String getKCode() {
		return kCode;
	} // 社員コード
	
	public Date getCalcDate() {
		return getDateField(calcDate);
	} // 計算年月
	
	public Date getPayday() {
		return getDateField(payday);
	} // 計算年月
	
	public String getKName() {
		return kName;
	} // 社員氏名
	
	public String getStationCode() {
		return stationCode;
	} // 所属コード
	
	public String getPositionCode() {
		return positionCode;
	} // 職位コード
	
	public int getPaymentTotal() {
		return paymentTotal;
	}
	
	public String getCalcStatus() {
		return calcStatus;
	} // データステータス
	
	public void setKCode(String kCode) {
		this.kCode = kCode;
	} // 社員コード
	
	public void setCalcDate(Date calcDate) {
		this.calcDate = getDateField(calcDate);
	} // 計算年月
	
	public void setPayday(Date payday) {
		calcDate = getDateField(payday);
	} // 支給日
	
	public void setKName(String kName) {
		this.kName = kName;
	} // 社員氏名
	
	public void setStationCode(String stationCode) {
		this.stationCode = stationCode;
	} // 職位コード
	
	public void setPositionCode(String positionCode) {
		this.positionCode = positionCode;
	} // 職位コード
	
	public void setPaymentTotal(int paymentTotal) {
		this.paymentTotal = paymentTotal;
	}
	
	public void setCalcStatus(String calcStatus) {
		this.calcStatus = calcStatus;
	} // データステータス
	
}
